

namespace HistoryView.Resources.Styles;
public static class ButtonAssist
{

    public static Brush GetButtonHoverBrush(DependencyObject obj)
    {
        return (Brush)obj.GetValue(ButtonHoverBrushProperty);
    }

    public static void SetButtonHoverBrush(DependencyObject obj, Brush value)
    {
        obj.SetValue(ButtonHoverBrushProperty, value);
    }

    // Using a DependencyProperty as the backing store for ButtonHoverBrush.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty ButtonHoverBrushProperty =
        DependencyProperty.RegisterAttached("ButtonHoverBrush", typeof(Brush), typeof(ButtonAssist), new PropertyMetadata(default));




    public static Brush GetButtonClickBrush(DependencyObject obj)
    {
        return (Brush)obj.GetValue(ButtonClickBrushProperty);
    }

    public static void SetButtonClickBrush(DependencyObject obj, Brush value)
    {
        obj.SetValue(ButtonClickBrushProperty, value);
    }

    // Using a DependencyProperty as the backing store for ButtonClickBrush.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty ButtonClickBrushProperty =
        DependencyProperty.RegisterAttached("ButtonClickBrush", typeof(Brush), typeof(ButtonAssist), new PropertyMetadata(default));


}
